@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp., 2008,2012
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM BPM Migration Utility Disk

@REM Arguments:
@REM
@REM imageZipFile - ZIP file to contain utility disk files

@echo off
setlocal

if .%1 == . goto error

if [%1] == [] goto error

if [%1] == [-help] goto usage

set WAS_USER_SCRIPT=
set USER_INSTALL_ROOT=

call "%~dp0setupCmdLine.bat" %*

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS
@REM SET CONSOLE_ENCODING=-Dws.output.encoding=console
@REM %OSGI_INSTALL% %OSGI_CFG% %OSGI_CLASS_SHARING%

"%JAVA_HOME%\bin\java" %OSGI_INSTALL% %OSGI_CFG% %WAS_LOGGING% %CONSOLE_ENCODING% "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%WAS_HOME%"  -classpath "%WAS_CLASSPATH%"  com.ibm.ws.bootstrap.WSLauncher org.apache.tools.ant.Main -f "%WAS_HOME%\util\migration\createMigrationUtilDisk.ant" -DzipFile="%1" -Dwas.root="%WAS_HOME%"
goto done

:error
echo error: Missing zipfilename
echo.
echo Usage: BPMCreateRemoteMigrationUtilities  ^<zipfilename^>
echo. 
echo If a path is included with the filename, the path must already exist.
goto done

:usage
echo Usage: BPMCreateRemoteMigrationUtilities  ^<zipfilename^>
goto done

:done

endlocal
@echo off